%define fontdir         %{_datadir}/fonts/doulos

Name:           doulos-fonts
Version:        4.0.14
Release:        1
Summary:        Doulos SIL fonts

Group:          User Interface/X
License:        SIL Open Font License
URL:            http://scripts.sil.org/DoulosSILFont
# Source0 can be downloaded from http://scripts.sil.org/DoulosSIL_download#FontsDownload
Source0:        DoulosSIL%{version}.r1.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Doulos SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Doulos is very similar to Times/Times New Roman, but only has a single
regular face. It is intended for use alongside other Times-like fonts where
a range of styles (italic, bold) are not needed.


%prep
%setup -q -c
%{__sed} -i 's/\r//' *.txt

%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt DoulosSIL4FontDocumentation.pdf

%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


%changelog
* Sat Feb 18 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.14-1
- Initial packaging, based on gentium-fonts
